Organisation Credit Batches
curl --request GET \
--url https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-client-secret: <x-client-secret>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-secret", "<x-client-secret>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches")
.header("x-client-secret", "<x-client-secret>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-secret"] = '<x-client-secret>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"nodes": [
{
"beneficiary": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "Isometric"
},
"carbon_removal_data": {
"counterfactuals_kg": 123,
"emissions_kg": 123,
"gross_carbon_removed_kg": 123,
"losses_kg": 123,
"net_carbon_removed_kg": 123
},
"ccp_approved": true,
"country_of_issue": "GBR",
"credit_type": "reduction",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_id": "dlv_1C454ZXA61S03Z9T",
"ghg_entry_id": "rmv_1EEM6NJXX1S0EXKD",
"id": "ctb_1DRBTYA8Q1S07CBY",
"issuance_id": "iss_1EWT8R5FY1S0GFCY",
"issued_at": "2023-11-07T05:31:56Z",
"left_child_id": "ctb_1DRBTYA8Q1S07CBY",
"owner": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "Isometric"
},
"parent_id": "ctb_1DRBTYA8Q1S07CBY",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"removal_id": "rmv_1EEM6NJXX1S0EXKD",
"retired_at": "2023-11-07T05:31:56Z",
"retirement_id": "ret_1FYBH4QDT1S0SVKF",
"right_child_id": "ctb_1DRBTYA8Q1S07CBY",
"sequestered_on": "2023-12-25",
"serial_number": "ISO-1-BSTORE-GBR-F5X7-2024-78177-81177",
"size": {
"credit_kgs": 125632,
"credits": 125.632
},
"status": "active",
"supplier_id": "spl_1CC712KFS1S0YKPS"
}
],
"page_info": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
},
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Buyer account management
Organisation Credit Batches
A paginated list of all credit batches currently owned or retired on behalf of the organisation, sorted by issuance date. By default it excludes batches with the status ‘split’.
Note that when combining filters, the result will be the intersection of them. For example, when filtering by supplier_id and issued_after, the result will only include credit batches from the specified supplier that have been issued after the specified date.
GET
/
organisations
/
{id}
/
credit_batches
Organisation Credit Batches
curl --request GET \
--url https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-client-secret: <x-client-secret>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-client-secret", "<x-client-secret>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches")
.header("x-client-secret", "<x-client-secret>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.isometric.com/registry/v0/organisations/{id}/credit_batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-client-secret"] = '<x-client-secret>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"nodes": [
{
"beneficiary": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "Isometric"
},
"carbon_removal_data": {
"counterfactuals_kg": 123,
"emissions_kg": 123,
"gross_carbon_removed_kg": 123,
"losses_kg": 123,
"net_carbon_removed_kg": 123
},
"ccp_approved": true,
"country_of_issue": "GBR",
"credit_type": "reduction",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_id": "dlv_1C454ZXA61S03Z9T",
"ghg_entry_id": "rmv_1EEM6NJXX1S0EXKD",
"id": "ctb_1DRBTYA8Q1S07CBY",
"issuance_id": "iss_1EWT8R5FY1S0GFCY",
"issued_at": "2023-11-07T05:31:56Z",
"left_child_id": "ctb_1DRBTYA8Q1S07CBY",
"owner": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "Isometric"
},
"parent_id": "ctb_1DRBTYA8Q1S07CBY",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"removal_id": "rmv_1EEM6NJXX1S0EXKD",
"retired_at": "2023-11-07T05:31:56Z",
"retirement_id": "ret_1FYBH4QDT1S0SVKF",
"right_child_id": "ctb_1DRBTYA8Q1S07CBY",
"sequestered_on": "2023-12-25",
"serial_number": "ISO-1-BSTORE-GBR-F5X7-2024-78177-81177",
"size": {
"credit_kgs": 125632,
"credits": 125.632
},
"status": "active",
"supplier_id": "spl_1CC712KFS1S0YKPS"
}
],
"page_info": {
"end_cursor": "<string>",
"has_next_page": true,
"has_previous_page": true,
"start_cursor": "<string>"
},
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
Headers
Path Parameters
Query Parameters
Was this page helpful?